Name:           jsr292-mock
Version:        1.1
Release:        1%{?dist}
Summary:        Mock versions of java.lang.invoke
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            https://github.com/headius/%{name}
Source0:        https://github.com/headius/%{name}/archive/%{name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  objectweb-asm
BuildRequires:  exec-maven-plugin

%description
A mock of java.lang.invoke for JRuby

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
%mvn_build

%install
%mvn_install

%files  -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Oct 10 2014 Mo Morsi <mmorsi@redhat.com> - 1.1-1
- Initial package 
